Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.scala
Class ScalaCompile

    java.lang.Object
      org.gradle.api.internal.ConventionTask
          org.gradle.api.tasks.SourceTask
              org.gradle.api.tasks.compile.Compile
                  org.gradle.api.tasks.scala.ScalaCompile

    class ScalaCompile
    extends Compile

Task to perform scala compilation.

Field Summary

Fields inherited from class Compile
antCompile

Constructor Summary
`ScalaCompile()`

Method Summary
`protected void` | `compile()`
`AntScalaCompile` | `getAntScalaCompile()`
`FileTree` | `getJavaSrc()` Returns the Java source for this task.
`ScalaCompileOptions` | `getScalaCompileOptions()`
`void` | `setAntScalaCompile(AntScalaCompile antScalaCompile)`
`void` | `setScalaCompileOptions(ScalaCompileOptions scalaCompileOptions)`

Methods inherited from class Compile
compile, getClasspath, getDependencyCacheDir, getDestinationDir, getOptions, getSourceCompatibility, getTargetCompatibility, setAntCompile, setClasspath, setDependencyCacheDir, setDestinationDir, setOptions, setSourceCompatibility, setTargetCompatibility

Methods inherited from class SourceTask
exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, setExcludes, setIncludes, setSource, source

Constructor Detail

### ScalaCompile

    ScalaCompile()

Method Detail

### compile

    @Override
    protected void compile()

### getAntScalaCompile

    public AntScalaCompile getAntScalaCompile()

### getJavaSrc

    public FileTree getJavaSrc()

  Returns the Java source for this task.
  return:
    The Java source.

### getScalaCompileOptions

    public ScalaCompileOptions getScalaCompileOptions()

### setAntScalaCompile

    public void setAntScalaCompile(AntScalaCompile antScalaCompile)

### setScalaCompileOptions

    public void setScalaCompileOptions(ScalaCompileOptions scalaCompileOptions)

Groovy Documentation